Bug 1469222 - wrong LANG after installation of 25 Server
wrong LANG after installation of 25 Server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 12:41 EDT by superfassl
Modified: 2017-11-28 04:31 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 04:31:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description superfassl 2017-07-10 12:41:48 EDT
Description of problem:

After the installation the LANG environment variable has a wrong value. It seems to consider the users set keymap to choose the language.

Version-Release number of selected component (if applicable):

25 Server

How reproducible:

Steps to Reproduce:

1. Choose English United States as language during installation
2. Choose German (Austria) as keyboard layout
3. Boot into the installed system
4. echo $LANG

Actual results:
de_AT.UTF-8

Expected results:
en_US.UTF-8

Additional info:
Comment 1 superfassl 2017-07-10 12:46:03 EDT
related stuff from /root/anaconda-ks.cfg:

# Keyboard layouts
keyboard --vckeymap=at --xlayouts='at'
# System language
lang en_US.UTF-8
Comment 2 Samantha N. Bueno 2017-10-04 06:37:37 EDT
Is this still an issue with F26 or (even better) F27 beta?
Comment 3 Fedora End Of Life 2017-11-16 14:48:29 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 superfassl 2017-11-27 08:05:49 EST
Seems to be fixed in 26.
Comment 5 Jiri Konecny 2017-11-28 04:31:43 EST
I'm closing this issue based on comment 4.

Note You need to log in before you can comment on or make changes to this bug.